var Event = require('@spark-engine/event')

Event.ready(function() {
  Event.keyOn('],[,\\', toggle)
})

function toggle(event) {
  // Cancel if typing in a conenteditable element or if there is no sidebar on the page. 
  if(event.target.closest('[contenteditable=true]') || !document.querySelector('#sidebar')) return

  // Trigger app sidebar toggle, to ensure its toggle events and state tracking occurs.
  Event.fire(document.querySelector('[data-nav-toggle*="#sidebar"]'), 'click')
}
