module Spark
  class Blankslate < Spark::Component::Base
    attribute :title
    attribute action_gutter: :base

    element :image
    element :body
    element :action, multiple: true
    element :footer

    validates_attr :title, presence: true
    validates_attr :action_gutter, choices: Spark::Grid::GUTTER

    def initialize(*)
      super
    end
  end
end
