module Spark
  class MenuButton < Spark::Button
    ALIGN = %i[left right]

    attribute :split, menu_align: :left, icon: :caret_down

    validates_attr :menu_align, choices: ALIGN

    def initialize(*)
      super
    end
  end
end
