var toolbox = require('@spark-engine/toolbox'),
    cookie = require('cookie_js')

cookie.updateJson = function (key, data, options) {
  var old_data = cookie.getJson(key)
  cookie.setJson(key, toolbox.merge(old_data, data), options)
}

cookie.getJson = function (key) {
  var data = cookie.get(key)
  return data ? JSON.parse(data) : {}
}

cookie.setJson = function (key, value, options) {
  options = toolbox.merge({ path: '/' }, options || {})
  cookie.set(key, JSON.stringify(value), options)
}

module.exports = cookie
