module Spark
  class Table < Spark::Component::Base
    THEME = %i[default detail].freeze
    attribute :rowlink

    element :header, component: Spark::Table::Row
    element :row, multiple: true, component: Spark::Table::Row
    element :subhead, multiple: true do
      tag_attribute scope: :colgroup
      def initialize(*)
        super
        _parent.rows << self
        classname.add("spark-table-subhead")
      end
    end

    def initialize(*)
      super

      classname.add("spark-table")
    end
  end
end
