require 'spark_engine'
require 'fleetio_spark/version'
require 'fleetio_spark/helper'
require 'slim-rails'

# Add component features
require 'action_view/component'
require 'spark/component'

module FleetioSpark
  class Plugin < SparkEngine::Plugin
  end
end

SparkEngine.register(FleetioSpark::Plugin, { gem: 'fleetio_spark', engine: 'spark' }) do
  namespaced_paths = File.dirname(SparkEngine.plugin.paths[:components])
  config.eager_load_paths.concat([namespaced_paths])
end
